Loading...
Searching...
No Matches
basic.hpp File Reference

Provides various type traits on generic types. More...

`#include <tuple>`
`#include <type_traits>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for basic.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::is_constexpr_default_constructible< t >
| Whether a type std::is_default_constructible in constexpr-context (unary_type_trait specialisation). More...
struct | seqan3::remove_rvalue_reference< t >
| Return the input type with && removed, but lvalue references preserved. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides various type traits on generic types.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me